Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
emails
/
provider
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    emails "github.com/auth0/go-auth0/management/emails"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Emails.Provider.Update(
        context.TODO(),
        &emails.UpdateEmailProviderRequestContent{},
    )
}
{
  "name": "sendgrid",
  "enabled": true,
  "default_from_address": "<string>",
  "credentials": {
    "api_user": "<string>",
    "region": "<string>",
    "smtp_host": "<string>",
    "smtp_port": 123,
    "smtp_user": "<string>"
  },
  "settings": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

name
enum<string>

Name of the email provider. Can be mailgun, mandrill, sendgrid, ses, sparkpost, smtp, azure_cs, ms365, or custom.

Available options:
mailgun,
mandrill,
sendgrid,
ses,
sparkpost,
smtp,
azure_cs,
ms365,
custom
enabled
boolean

Whether the provider is enabled (true) or disabled (false).

default_from_address
string

Email address to use as "from" when no other address specified.

credentials
object

Credentials required to use the provider.

settings
object

Specific provider setting

Response

Email provider successfully updated.

name
string
default:sendgrid

Name of the email provider. Can be mailgun, mandrill, sendgrid, ses, sparkpost, smtp, azure_cs, ms365, or custom.

enabled
boolean
default:true

Whether the provider is enabled (true) or disabled (false).

default_from_address
string

Email address to use as "from" when no other address specified.

credentials
object

Credentials required to use the provider.

settings
object

Specific provider setting